import type { ReadonlyDeep } from 'type-fest';
export declare enum Environment {
    Staging = 0,
    Production = 1
}
export type CDSAuthType = {
    username: string;
    password: string;
};
export type CDSRequestOptionsType = {
    e164s: Array<string>;
    acisAndAccessKeys: Array<{
        aci: string;
        accessKey: string;
    }>;
    timeout: number;
    returnAcisWithoutUaks: boolean;
};
export type CDSResponseEntryType<Aci, Pni> = {
    aci: Aci | undefined;
    pni: Pni | undefined;
};
export type CDSResponseType<Aci, Pni> = Map<string, CDSResponseEntryType<Aci, Pni>>;
export declare class Net {
    private readonly _asyncContext;
    private readonly _connectionManager;
    constructor(env: Environment);
    cdsiLookup({ username, password }: Readonly<CDSAuthType>, { e164s, acisAndAccessKeys, timeout, returnAcisWithoutUaks, }: ReadonlyDeep<CDSRequestOptionsType>): Promise<CDSResponseType<string, string>>;
}
